# PSortedListElement Struct Reference

`#include <lists.h>`

List of all members.

## Public Types

| Red
| Black
enum | { Red, Black }

## Public Member Functions

| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes

PSortedListElement * | parent
PSortedListElement * | left
PSortedListElement * | right
PObject * | data
PINDEX | subTreeSize
enum PSortedListElement:: { ... } | colour

## Member Enumeration Documentation

anonymous enum

Enumerator:

  Red |
  Black |

## Member Function Documentation

PSortedListElement::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

## Member Data Documentation

enum { ... } PSortedListElement::colour

PObject* PSortedListElement::data

PSortedListElement* PSortedListElement::left

PSortedListElement* PSortedListElement::parent

PSortedListElement* PSortedListElement::right

PINDEX PSortedListElement::subTreeSize

The documentation for this struct was generated from the following file:

- lists.h